Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.entity.mime.content
Interface ContentBody

All Superinterfaces:
  ContentDescriptor

All Known Implementing Classes:
  AbstractContentBody, ByteArrayBody, FileBody, InputStreamBody, StringBody

    public interface ContentBody

extends ContentDescriptor

Since:
  4.0

Method Summary
`String` | `getFilename()`
`void` | `writeTo(OutputStream out)`

Methods inherited from interface org.apache.http.entity.mime.content.ContentDescriptor
`getCharset, getContentLength, getMediaType, getMimeType, getSubType, getTransferEncoding`

Method Detail

### getFilename

    String getFilename()

### writeTo

    void writeTo(OutputStream out)
                 throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.